package com.yida.data.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.system.EduApp;

public interface EduAppService extends IService<EduApp> {

    IPage<EduApp> listQywxAppPage(Page page, Long schoolId);

    void saveApp(EduApp app);

    EduApp getAppBySchoolOrCorpIdAndCode(Long schoolId, String corpId, String name);
}
